
Redmine - Defect #16366

Issue ends up in an invalid state of a specified tracker

2014-03-17 09:51 - Jan-Willem Stroeken

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.4

Description

When using two trackers (default 'bug' and extended 'bug2', 'bug2' has been extended with an additional state 'waitForConfirmation' )

assume the following scenario:

- create 'issue1' in tracker 'bug2'

- set state of 'bug2' to 'waitForConfirmation'

- set 'issue1' tracker to 'bug' and save it

- 'issue1'is now using the 'bug' tracker and in the 'waitForConfirmation' state. The state cannot be changed anymore

in order to restore this, revert 'issue1'to 'bug2', set state to a supported state and then change trackertype

The tracker/state combination seems only to be checked when setting them together in one edit. When editing them sequentially

(workflow first, state secondly), there is no check on the validity of the resulting state

Environment:

Redmine version                2.3.4.stable

Ruby version                   1.9.3-p0 (2011-10-30) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

History

#1 - 2014-03-27 21:18 - Alain Alain091

This bug not longer exists in version 2.4.3

#2 - 2014-08-26 09:16 - Etienne Massip

- Status changed from New to Needs feedback

Can Jan-Willem confirm it's been fixed?

#3 - 2015-08-23 17:06 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
